<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

class tx_cdsrcgallery_div {

    private static $_fields = array();

    public static function getFields($path, $recursive = 99) {
        $path = rtrim($path, '/');
        if(!isset(self::$_fields[$path])) {
            $return = array('name');
            if ($recursive >= 0 && preg_match('#^' . PATH_site . 'fileadmin/.*$#', $path)) {
                $filename = $path . '/gconf.txt';
                if (is_file($filename)) {
                    list($fields) = file($filename);
                    $return = array_values(array_unique(array_merge(array('name'), t3lib_div::trimExplode('|', $fields))));
                } else {
                    $return = self::getFields(rtrim(dirname($path), '/'), $recursive - 1);
                }
            }
            self::$_fields[$path] = $return;
        }
        return self::$_fields[$path];
    }

    public static function getInformations($path, $fields) {
        $informations = array_fill_keys($fields, '');
        if (preg_match('#^' . PATH_site . 'fileadmin/.*$#', $path) && file_exists($path)) {
            if (is_file($path . '.txt')) {
                $contents = t3lib_div::trimExplode('|', file_get_contents($path . '.txt'));
                foreach ($informations as &$value) {
                    $value = array_shift($contents);
                }
            }
        }
        return $informations;
    }

    public static function getFileExtensionList() {
        return 'jpg,jpeg,gif,png';
    }
}

?>
